Skip to main content
GET
/
api
/
Project
/
Code
/
{projectCode}
Get a Project using a unique Code
curl --request GET \
  --url https://api.virtuoussoftware.com/api/Project/Code/{projectCode} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<integer>",
  "name": "<string>",
  "projectCode": "<string>",
  "externalAccountingCode": "<string>",
  "onlineDisplayName": "<string>",
  "description": "<string>",
  "photoUrl": "<string>",
  "parentId": "<integer>",
  "parentName": "<string>",
  "isSubProject": "<boolean>",
  "inventoryStatus": "<string>",
  "type": "<string>",
  "location": "<string>",
  "isRestrictedToGiftSpecifications": "<boolean>",
  "isLimitedToFinancialNeed": "<boolean>",
  "isPublic": "<boolean>",
  "isActive": "<boolean>",
  "isAvailableOnline": "<boolean>",
  "isTaxDeductible": "<boolean>",
  "treatAsAccountsPayable": "<boolean>",
  "beginningBalance": "<double>",
  "currentBalance": "<double>",
  "financialNeedType": "<string>",
  "financialNeedFrequency": "<string>",
  "financialNeedAmount": "<double>",
  "startDate": "<dateTime>",
  "endDate": "<dateTime>",
  "durationType": "<string>",
  "lifeToDateGiving": "<double>",
  "lifeToDateGiftCount": "<integer>",
  "lifeToDateGiversCount": "<integer>",
  "lifeToDateExpenseTotal": "<double>",
  "calendarYearToDateGiving": "<double>",
  "calendarYearToDateGiftCount": "<integer>",
  "calendarYearToDateGiversCount": "<integer>",
  "calendarYearToDateExpenseTotal": "<double>",
  "createDateTimeUtc": "<dateTime>",
  "createdByUser": "<string>",
  "modifiedDateTimeUtc": "<dateTime>",
  "modifiedByUser": "<string>",
  "giftSpecifications": [
    {
      "amount": "<double>",
      "frequency": "<string>"
    },
    {
      "amount": "<double>",
      "frequency": "<string>"
    }
  ],
  "customFields": "<object>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

projectCode
string
required

(Required) The project code.

Response

OK

id
string
name
string
projectCode
string
externalAccountingCode
string
onlineDisplayName
string
description
string
photoUrl
string
parentId
string
parentName
string
isSubProject
string
inventoryStatus
string
type
string
location
string
isRestrictedToGiftSpecifications
string
isLimitedToFinancialNeed
string
isPublic
string
isActive
string
isAvailableOnline
string
isTaxDeductible
string
treatAsAccountsPayable
string
beginningBalance
string
currentBalance
string
financialNeedType
string
financialNeedFrequency
string
financialNeedAmount
string
startDate
string
endDate
string
durationType
string
lifeToDateGiving
string
lifeToDateGiftCount
string
lifeToDateGiversCount
string
lifeToDateExpenseTotal
string
calendarYearToDateGiving
string
calendarYearToDateGiftCount
string
calendarYearToDateGiversCount
string
calendarYearToDateExpenseTotal
string
createDateTimeUtc
string
createdByUser
string
modifiedDateTimeUtc
string
modifiedByUser
string
giftSpecifications
object[]
customFields
string
Last modified on June 5, 2026